Memecoins data
curl --request GET \
--url https://www.sharpe.ai/api/v1/memecoins/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/memecoins/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/memecoins/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"narratives": [
{
"id": "<string>",
"name": "<string>",
"emoji": "<string>",
"slug": "<string>",
"group": "aggregate",
"primaryThemeId": "<string>",
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123,
"marketCap": 123,
"volume24h": 123,
"marketShare": 123,
"topCoin": {
"symbol": "<string>",
"image": "<string>",
"price": 123,
"return24h": 123
},
"coinCount": 123,
"trackedCoinCount": 123,
"coverageLimit": 123,
"momentumReturn": 123,
"momentumKind": "short_term_price_momentum",
"calculationMethod": {
"marketCap": "coingecko_category_market_cap_ex_exclusions",
"volume24h": "coingecko_category_volume_ex_exclusions",
"returns": "market_cap_weighted_constituent_price_change_min_500k_mcap",
"marketShare": "category_market_cap_over_all_memes_market_cap",
"momentum": "0.40_1h_0.35_24h_0.25_7d",
"medianReturns": "median_constituent_price_change_min_500k_mcap"
},
"returnCoverageShare": {
"1h": 0.5,
"24h": 0.5,
"7d": 0.5,
"30d": 0.5,
"200d": 0.5,
"1y": 0.5
},
"freshness": {
"source": "coingecko",
"upstreamUpdatedAt": "2023-11-07T05:31:56Z",
"cachedAt": "2023-11-07T05:31:56Z",
"stale": true
},
"medianReturn1h": 123,
"medianReturn24h": 123,
"medianReturn7d": 123,
"medianReturn30d": 123,
"medianReturn200d": 123,
"medianReturn1y": 123
}
],
"totalMemeMcap": 123,
"updatedAt": "<string>",
"lastAttemptedAt": "2023-11-07T05:31:56Z",
"freshness": {
"source": "coingecko",
"upstreamUpdatedAt": "2023-11-07T05:31:56Z",
"cachedAt": "2023-11-07T05:31:56Z",
"stale": true
},
"primaryThemeBuckets": [
{
"id": "<string>",
"name": "<string>",
"marketCap": 123,
"share": 123,
"color": "<string>",
"coinCount": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"returnMethod": "market_cap_weighted_assigned_constituents"
}
],
"primaryThemeSnapshots": [
{
"theme_id": "<string>",
"market_cap": 123,
"coin_count": 123,
"total_meme_market_cap": 123,
"snapshot_at": "2023-11-07T05:31:56Z"
}
],
"historicalMetadata": {
"window": "24h",
"cadence": "hourly",
"cadenceMs": 2,
"sourceRows": 1,
"returnedRows": 1,
"calculationMethod": "despiked_forward_filled_market_cap_snapshots",
"series": "all"
},
"coinHistoryMetadata": {
"window": "24h",
"cadence": "hourly",
"cadenceMs": 2,
"sourceRows": 1,
"returnedRows": 1,
"topCoinCount": 1,
"calculationMethod": "forward_filled_coin_price_history"
},
"degraded": true,
"failedCategories": [
"<string>"
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Categories
Memecoins data
Returns memecoin narrative data across grouped aggregate, theme, chain, and launchpad categories with market cap, market share, freshness, coverage, volume, performance, and momentum metadata.
GET
/
v1
/
memecoins
/
data
Memecoins data
curl --request GET \
--url https://www.sharpe.ai/api/v1/memecoins/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/memecoins/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/memecoins/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"narratives": [
{
"id": "<string>",
"name": "<string>",
"emoji": "<string>",
"slug": "<string>",
"group": "aggregate",
"primaryThemeId": "<string>",
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123,
"marketCap": 123,
"volume24h": 123,
"marketShare": 123,
"topCoin": {
"symbol": "<string>",
"image": "<string>",
"price": 123,
"return24h": 123
},
"coinCount": 123,
"trackedCoinCount": 123,
"coverageLimit": 123,
"momentumReturn": 123,
"momentumKind": "short_term_price_momentum",
"calculationMethod": {
"marketCap": "coingecko_category_market_cap_ex_exclusions",
"volume24h": "coingecko_category_volume_ex_exclusions",
"returns": "market_cap_weighted_constituent_price_change_min_500k_mcap",
"marketShare": "category_market_cap_over_all_memes_market_cap",
"momentum": "0.40_1h_0.35_24h_0.25_7d",
"medianReturns": "median_constituent_price_change_min_500k_mcap"
},
"returnCoverageShare": {
"1h": 0.5,
"24h": 0.5,
"7d": 0.5,
"30d": 0.5,
"200d": 0.5,
"1y": 0.5
},
"freshness": {
"source": "coingecko",
"upstreamUpdatedAt": "2023-11-07T05:31:56Z",
"cachedAt": "2023-11-07T05:31:56Z",
"stale": true
},
"medianReturn1h": 123,
"medianReturn24h": 123,
"medianReturn7d": 123,
"medianReturn30d": 123,
"medianReturn200d": 123,
"medianReturn1y": 123
}
],
"totalMemeMcap": 123,
"updatedAt": "<string>",
"lastAttemptedAt": "2023-11-07T05:31:56Z",
"freshness": {
"source": "coingecko",
"upstreamUpdatedAt": "2023-11-07T05:31:56Z",
"cachedAt": "2023-11-07T05:31:56Z",
"stale": true
},
"primaryThemeBuckets": [
{
"id": "<string>",
"name": "<string>",
"marketCap": 123,
"share": 123,
"color": "<string>",
"coinCount": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"returnMethod": "market_cap_weighted_assigned_constituents"
}
],
"primaryThemeSnapshots": [
{
"theme_id": "<string>",
"market_cap": 123,
"coin_count": 123,
"total_meme_market_cap": 123,
"snapshot_at": "2023-11-07T05:31:56Z"
}
],
"historicalMetadata": {
"window": "24h",
"cadence": "hourly",
"cadenceMs": 2,
"sourceRows": 1,
"returnedRows": 1,
"calculationMethod": "despiked_forward_filled_market_cap_snapshots",
"series": "all"
},
"coinHistoryMetadata": {
"window": "24h",
"cadence": "hourly",
"cadenceMs": 2,
"sourceRows": 1,
"returnedRows": 1,
"topCoinCount": 1,
"calculationMethod": "forward_filled_coin_price_history"
},
"degraded": true,
"failedCategories": [
"<string>"
]
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

